//println("starting test now")


import scala.concurrent._
import scala.concurrent.duration._
import ExecutionContext.Implicits.global
import scala.language.postfixOps 

lazy val f = Future {
  assert(query_company("YHOO") == ("1996-07-24", "2000-01-03"))
  assert(query_company("IBM") == ("1962-06-14", "2013-03-14"))
  assert(query_company("BIDU") == ("2006-02-07", "2014-11-11"))
}

Await.result(f, 120 second)
